<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>项目管理-待审核</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base" />
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/formSelects-v4.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/lib/font/iconfont.css" />
</head>
<body>

<div class="layui-fluid">
    <div class="layui-form layui-card">
        <div class="layui-tab layui-tab-brief">
            <ul class="layui-tab-title">
                <sfTags:pagePermission authFlag="XMGL_XMGL_DSHXX_T" html='<a href="${ctx}/customerEntry/customerList"><li class="layui-this">待审核管理</li></a>'/>
              <%--  <sfTags:pagePermission authFlag="XMGL_XMGL_DJJSH_T" html='<a href="${ctx}/customerEntry/customerListJjsh"><li >待进件审核</li></a>'/>--%>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10 " type="reset"  onclick="reset()" >
                    <i class="layui-icon fs-12">&#xe9aa;</i>
                    重置
                </button>
                <button class="layui-btn f-r mt-10 mr-15 pl-10 pr-10" id="searchBtn" lay-submit lay-filter="LAY-user-back-search"><i class="layui-icon fs-12">&#xe615;</i>查询</button>
            </ul>
        </div>
        <div class="layui-card-body layuiadmin-card-header-auto" >
            <form class="layui-form layui-card" action="" id="searchForm">
            <div class="layui-form-item">
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">产品编号：</label>
                    <div class="layui-input-block">
                        <select name="projectId" lay-search>
                            <option value="">请选择</option>
                            <c:forEach items="${projectList}" var="pro">
                                <option value="${pro.columns.id}" >${pro.columns.code}</option>
                            </c:forEach>

                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">产品名称：</label>
                    <div class="layui-input-block">
                        <input type="text" name="projectName" class="layui-input" >
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">状态：</label>
                    <div class="layui-input-block" >
                        <select name="status" >
                            <option value="">请选择</option>
                            <option value="1" >待审核</option>
                            <option value="2" >审核驳回</option>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">电站编码：</label>
                    <div class="layui-input-block">
                        <input type="text" name="powerStationCode" class="layui-input" >
                    </div>
                </div>
                <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">代理商名称：</label>
                        <div class="layui-input-block" >
                            <select name="distributorId" lay-search>
                                <option value="">请选择</option>
                                <c:forEach items="${traderList}" var="trader">
                                    <option value="${trader.columns.id}">${trader.columns.name}</option>
                                </c:forEach>
                            </select>
                        </div>
                    </div>
                    <div class="layui-col-lg2 layui-col-sm3">
                        <label class="layui-form-label">代理商电话：</label>
                        <div class="layui-input-block">
                            <input type="text" name="traderMobile" class="layui-input" >
                        </div>
                    </div>
                </c:if>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">业主姓名：</label>
                    <div class="layui-input-block">
                        <input type="text" name="tenantName" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">安装地址：</label>
                    <div class="layui-input-block">
                        <input type="text" name="tenantAddress" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">备注：</label>
                    <div class="layui-input-block">
                        <input type="text" name="remarks" class="layui-input">
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">审核人：</label>
                    <div class="layui-input-block" >
                        <select name="examine" >
                            <option value="">请选择</option>
                            <c:forEach items="${empList}" var="emp">
                                <option value="${emp.columns.user_id}">${emp.columns.name}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">审核备注：</label>
                    <div class="layui-input-block">
                        <input type="text" name="examineRemarks" class="layui-input" >
                    </div>
                </div>
                <%--<div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">安装方式：</label>
                    <div class="layui-input-block" >
                        <select name="method" >
                            <option value="">请选择</option>
                            <c:forEach items="${installWays}" var="installWay">
                                <option value="${installWay.columns.id}">${installWay.columns.name}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>--%>
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">屋顶类型：</label>
                    <div class="layui-input-block" >
                        <select name="roofType" >
                            <option value="">请选择</option>
                            <option value="斜屋顶" >斜屋顶</option>
                            <option value="平屋顶" >平屋顶</option>
                        </select>
                    </div>
                </div>
                <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">标记类型：</label>
                    <div class="layui-input-block" >
                        <select name="flag" xm-select="flag"  xm-select-type="1" xm-select-height="25px" xm-select-show-count="6">
                            <option value="">请选择</option>
                            <c:forEach items="${typeList}" var="flag">
                                <option value="${flag.columns.id}" >${flag.columns.name}</option>
                            </c:forEach>
                        </select>
                    </div>
                </div>
                </c:if>
                <div class="layui-col-lg4 layui-col-sm6">
                    <label class="layui-form-label">登记时间：</label>
                    <div class="layui-input-block">
                        <div class="layui-col-xs5">
                            <input type="text" name="createTimeMin" class="layui-input" id="createEndStartTime" placeholder="开始日期">
                        </div>
                        <div class="layui-col-xs2 text-c lh-30">
                            —
                        </div>
                        <div class="layui-col-xs5">
                            <input type="text" name="createTimeMax" class="layui-input" id="createEndEndTime" placeholder="结束日期">
                        </div>
                    </div>
                </div>
                <div class="layui-col-lg4 layui-col-sm6">
                    <label class="layui-form-label">审核时间：</label>
                    <div class="layui-input-block">
                        <div class="layui-col-xs5">
                            <input type="text" name="examineTimeMin" class="layui-input" id="examineTimeStartTime" placeholder="开始日期">
                        </div>
                        <div class="layui-col-xs2 text-c lh-30">
                            —
                        </div>
                        <div class="layui-col-xs5">
                            <input type="text" name="examineTimeMax" class="layui-input" id="examineTimeEndTime" placeholder="结束日期">
                        </div>
                    </div>
                </div>
               <%-- <div class="layui-col-lg2 layui-col-sm3">
                    <label class="layui-form-label">征信结果：</label>
                    <div class="layui-input-block" >
                        <select name="credit" >
                            <option value="">请选择</option>
                            <option value="1" >通过</option>
                            <option value="2" >驳回</option>
                        </select>
                    </div>
                </div>
                <div class="layui-col-lg2 layui-col-sm3 mt-5">
                    <label class="layui-form-label">进件状态：</label>
                    <div class="layui-input-block" >
                        <select name="applyStatus">
                            <option value="">请选择</option>
                            <option value="NW">未审批</option>
                            <option value="AP">审批中</option>
                            <option value="RJ">拒绝</option>
                            <option value="PR">审批通过</option>
                            <option value="QY">签约</option>
                            <option value="a">未申请</option>
                        </select>
                    </div>
                </div>--%>
            </div>
            </form>
        </div>
    </div>
    <div class="layui-card">
        <div class="layui-card-body">
            <table class="layui-hide" lay-skin="row" id="test" lay-filter="test"></table>
            <script type="text/html" id="toolbarDemo">
                <div class="layui-btn-container">
                    <button class="layui-btn layui-btn-sm" lay-event="export" id="exportBtn"><i class="layui-icon layui-icon-export"></i>导出列表</button>
                </div>
            </script>
        </div>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/lib/formSelects-v4.js"></script>
<script>
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laypage','laydate','form'], function(){
        //layui.use(['table','layer','laypage','laydate','form'], function(){
        $ = layui.$;
        tableExt = layui.tableExt;
        layer = layui.layer;
        laypage = layui.laypage;
        laydate = layui.laydate;
        form = layui.form;
        table = tableExt.getLayTable();

        var type = "${user.userType}";

        //开始日期
        var endStartTime = laydate.render({
            elem: '#createEndStartTime'
            /* ,type: 'datetime'*/
            ,done: function(value, date){
                //更新结束日期的最小日期
                endEndTime.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                //自动弹出结束日期的选择器
                endEndTime.config.elem[0].focus();
            }
        });
        //结束日期
        var endEndTime = laydate.render({
            elem: '#createEndEndTime'
            /* ,type: 'datetime'*/
            ,done: function(value, date){
                //更新开始日期的最大日期
                endStartTime.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });

        var startTime = laydate.render({
            elem: '#examineTimeStartTime'
            /* ,type: 'datetime'*/
            ,done: function(value, date){
                //更新结束日期的最小日期
                endTime.config.min = lay.extend({}, date, {
                    month: date.month - 1
                });
                //自动弹出结束日期的选择器
                endTime.config.elem[0].focus();
            }
        });
        //结束日期
        var endTime = laydate.render({
            elem: '#examineTimeEndTime'
            /* ,type: 'datetime'*/
            ,done: function(value, date){
                //更新开始日期的最大日期
                startTime.config.max = lay.extend({}, date, {
                    month: date.month - 1
                });
            }
        });

        if("${types}"=="1"){
            parent.window.location.reload(true);
        }


        var toExamine = '${fns:checkPagePermission(request, "XMGL_XMGL_DSHXX_SH_B")}';
        var jjExamine= '${fns:checkPagePermission(request, "XMGL_XMGL_DSHXX_JJSQ_B")}';
        var applyExamine='${fns:checkPagePermission(request, "XMGL_XMGL_DSHXX_JJSH_B")}';

        var sdzr='${fns:checkPagePermission(request, "XMGL_XMGL_DSHXX_SDZR_B")}';
        var concatFg='${fns:checkPagePermission(request, "XMGL_XMGL_XXDJ_YQQY_B")}';

        tableExt.render({
            elem: '#test'
            , title:'待审核管理'
            , height: 'full-230'
            , toolbar: '#toolbarDemo'
            , defaultToolbar: false
            , limits : [ 20, 50, 100 ]
            , limit:20
            , page : true //开启分页
            , url: '${ctx}/customerEntry/getCustomerList'
            , cols: [[
                {type: 'numbers',fixed:'left',title:'序号'}
                , {field: 'id', title: '操作',minWidth:'180', sort: false, align: 'center',fixed: 'left', exportable:true,templet:function(d){
                        var html = "";
                       if(type !='6' && type != '7' ){
                          //非代理商--只能查看
                           if(d.status == '2'){
                               return "--";
                           }
                           if(d.status == '0'){
                               return "--";
                           }
                          /* if(!isBlank(d.management_type)&& d.management_type =='2' && sdzr == '0'){
                               html += "<a href=\"#\" class=\"layui-table-link layui-icon   \" style='font-size:14px;' onclick=\"admittance('"+d.id+"')\">准入</a>&nbsp;&nbsp;";

                           }*/

                           if(d.status == '1' && toExamine == '0'){
                              // if(isBlank(d.management_type) || d.apply_status === 'PR' || d.apply_status == 'QY'){
                               html +=  "<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"Prohibit('"+d.id+"')\">审核</a>&nbsp;&nbsp;";
                             /*  }else if(d.apply_status== '2'){
                                   return applyExamine == '0'?"<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"examineInputEntry('"+d.id+"')\">进件审核</a>":'';
                               }*/

                           }
                           else if(d.status=='h'&& toExamine == '0'){

                               html +=  "<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"Prohibit('"+d.id+"')\">审核</a>&nbsp;&nbsp;";
                           }
                          /* if(d.credit == '2'){
                               return "--";
                           }*/

                       }else{
                           if(d.status != '1'){
                               if(d.status == 'c'){
                                   html += "<a href=\"#\" class=\"layui-table-link layui-icon   \" style='font-size:14px;' onclick=\"editCustomerEntryFa('"+d.id+"')\">确认</a>&nbsp;&nbsp;";
                               }else{
                                   html += "<a href=\"#\" class=\"layui-table-link layui-icon   \" style='font-size:14px;' onclick=\"editCustomerEntry('"+d.id+"')\">编辑</a>&nbsp;&nbsp;";
                               }
                               if(d.apply_change !='3'){
                                   html += "<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"deleteWarranty('"+d.id+"')\">删除</a>";
                               }
                           }else if(d.status == '1' && d.management_type =='2' && d.credit == '2'){
                               html += "<a href=\"#\" class=\"layui-table-link layui-icon   \" style='font-size:14px;' onclick=\"editCustomerEntry('"+d.id+"')\">编辑</a>&nbsp;&nbsp;";
                               html += "<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"deleteWarranty('"+d.id+"')\">删除</a>";

                           }
                         /*  if(d.product_line=='1'){
                               if(d.sign_status=='0' || d.sign_status =='5' || d.sign_staut=='6'){
                                   if(concatFg =='0'){
                                       html += "<a href=\"#\" class=\"layui-table-link layui-icon   \" style='font-size:14px;' onclick=\"askToContract('" + d.id + "')\">邀请签约</a>";
                                   }
                               }
                           }*/
                           return html;
                       }
                       // 这里面的操作  是平台和代理商都可以操作的
                        console.log(d.credit+"-----------"+d.status +">>>>>"+d.management_type)
                        if(d.management_type =='2' ){
                           if(isBlank(d.credit)){
                               console.log(html)
                               return html +"<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"findResult('"+d.id+"')\">查询征信</a>";
                           }/*else if(d.credit == '1' && (isBlank(d.apply_status) || d.apply_status == '0' || d.apply_status == '1' || d.apply_status =='3' || d.apply_status =='RJ')){
                               return jjExamine =='0'?html +"<a href=\"#\" class=\"layui-table-link layui-icon   \" style='font-size:14px;' onclick=\"preInputEntry('"+d.id+"')\">进件申请</a>":'';
                           }else if(d.apply_status =='NW' || d.apply_status =='AP'){
                               return html +'<a href="#" class="layui-table-link" onclick="lookInputEntryStatus(\''+d.id+'\')">查看进件状态</a>';
                           }*/
                       }
                       if(!isBlank(html)){
                           return html;
                       }else {
                           return "--";
                       }


                    },expFormat:function(d){
                        if(d.status=='1' && d.management_type =='2' ){
                            if(isBlank(d.credit)){
                                return "查询征信";
                            }else if(d.credit == '1' && (isBlank(d.apply_status) || d.apply_status == '0' || d.apply_status == '1' || d.apply_status =='3' || d.apply_status =='RJ')){
                                return jjExamine =='0'?"进件申请":'';
                            }else if(d.apply_status =='NW' || d.apply_status =='AP'){
                                return '查看进件状态';
                            }
                            return "--";
                        }
                    }}
                , {field: 'power_station_code', title: '电站编码',minWidth: 200, sort: false,fixed: 'left', align: 'center', exportable: true, templet: function(d){
                        var flag = d.flag;
                        var html="";
                    <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                        if(isBlank(flag)){//
                            html ="<i class=\"icon iconfont\" style=\"color: #8D8D8D\" onclick=\"customerEntryFlag('"+d.id+"')\">&#xe6b0;</i>";
                        }else{
                            html ="<i class=\"icon iconfont \" style=\"color: "+d.flag_type+";\" onclick=\"customerEntryFlag('"+d.id+"')\">&#xe6b0;</i>";
                        }
                    </c:if>
                        return html +  '<a href="#" class="layui-table-link" onclick="psDetail(\''+d.id+'\')">'+d.power_station_code+'</a>';
                    }}
                , {field: 'status', title: '状态',minWidth:'120', sort: false, fixed: 'left',align: 'center',exportable:true,  templet:function(d){
                        if(d.status=='2'){

                            return "<span data-pass = \"passed\">审核驳回</span>";
                        }else if(d.status=='0'){

                            return "暂存";
                        }else if(d.status=='c'){

                            return "待确认";
                        }else if(d.status=='h'){

                            return "设计自审";
                        }else{
                            return "待审核";
                        }
                    },expFormat:function(d){
                        if(d.status=='2'){
                            return "审核驳回";
                        }else if(d.status=='0'){

                            return "暂存";
                        }else if(d.status=='c'){

                            return "待确认";
                        }else if(d.status=='h'){

                            return "设计自审";
                        }else{
                            return "待审核";
                        }
                    }}
                , {
                    field: 'sign_status',
                    title: '签约状态',
                    minWidth: '120',
                    sort: false,
                    fixed: 'left',
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.sign_status === '1') {
                            return "待签约";
                        } else if (d.sign_status === '2') {
                            return "已签约";
                        } else if (d.sign_status === '3') {
                            return "待审核";
                        } else if (d.sign_status === '4') {
                            return "签署驳回";
                        } else if (d.sign_status === '5') {
                            return "已审核";
                        } else {
                            return "--";
                        }
                    },
                    expFormat: function (d) {
                        if (d.sign_status === '1') {
                            return "待签约";
                        } else if (d.sign_status === '2') {
                            return "已签约";
                        } else if (d.sign_status === '3') {
                            return "待审核";
                        } else if (d.sign_status === '4') {
                            return "签署驳回";
                        } else if (d.sign_status === '5') {
                            return "已审核";
                        } else {
                            return "--";
                        }
                    }
                }
                   /* ,{field: 'credit', title: '征信结果',minWidth:'130', sort: false, align: 'center',exportable:true,  templet:function(d){
                        if(d.management_type=='2'){
                            if(d.credit == '1'){
                                return "通过";
                            }else if(d.credit == '2'){
                                return "驳回";
                            }
                            return "";
                        }
                            return "--";

                    },expFormat:function(d){
                        if(d.management_type=='2'){
                            if(d.credit == '1'){
                                return "通过";
                            }else if(d.credit == '2'){
                                return "驳回";
                            }
                            return "";
                        }
                        return "--";
                    }}*/
                ,{field: 'credit_dsc', title: '结果描述',minWidth:'130', sort: false, align: 'center',exportable:true,  templet:function(d){
                        if(d.management_type=='2'){
                           return isBlank(d.credit_dsc)?"":d.credit_dsc;
                        }
                        return "--";
                    },expFormat:function(d){
                        if(d.management_type=='2'){
                            return isBlank(d.credit_dsc)?"":d.credit_dsc;
                        }
                        return "--";
                    }}
               /* ,{field: 'apply_status', title: '进件反馈状态',minWidth:'130', sort: false, align: 'center',exportable:true,  templet:function(d){
                        if(d.management_type=='2'){
                            if(d.apply_status == 'PR' ){
                                return "<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"lookInputEntryStatus('"+d.id+"',2)\">审批通过</a>";
                            }else if(d.apply_status == 'QY'){
                                return "<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"lookInputEntryStatus('"+d.id+"',2)\">签约</a>";
                            }else if(d.apply_status == 'RJ'){
                                return "<a href=\"#\" class=\"layui-table-link layui-icon  \" style='font-size:14px;' onclick=\"lookInputEntryStatus('"+d.id+"',1)\">拒绝</a>";
                            }else if(d.apply_status == 'NW'){
                                return "未审批";
                            }else if(d.apply_status == 'AP'){
                                return "审批中";
                            }
                        }
                        return "--";
                    },expFormat:function(d){
                        if(d.management_type=='2'){
                            if(d.apply_status == 'PR'){
                                return "审批通过";
                            }else if(d.apply_status == 'QY'){
                                return "签约";
                            }else if(d.apply_status == 'RJ'){
                                return "拒绝";
                            }else if(d.apply_status == 'NW'){
                                return "未审批";
                            }else if(d.apply_status == 'AP'){
                                return "审批中";
                            }
                        }
                        return "--";
                    }}*/
                , {field: 'projectCode', title: '产品编号',minWidth:'130', sort: false, align: 'center',exportable:true}
                , {field: 'projectName', title: '产品名称',minWidth:'130', sort: false, align: 'center',exportable:true}
                , {
                    field: 'planName',
                    title: '方案名称',
                    minWidth: 150,
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        if (d.scheme_type === '1') {
                            if (isBlank(d.scheme_id)) {
                                return '——';
                            }
                            return '<a href="#" class="layui-table-link" onclick="planDetail(\'' + d.id + '\')">' + d.scheme_name + '</a>';
                        } else if (isBlank(d.scheme_name)) {
                            return '<a href="#" class="layui-table-link" onclick="planDetail(\'' + d.id + '\')">查看方案</a>';
                        } else {
                            return '<a href="#" class="layui-table-link" onclick="planDetail(\'' + d.id + '\')">' + d.scheme_name + '</a>';
                        }
                    }
                }
                , {field: 'design_capacity', title: '设计安装容量(W)',minWidth: 150, sort: false, align: 'center',exportable:true}
            <c:if test="${user.userType ne '6' && user.userType ne '7'}">
                , {field: 'distributorName', title: '代理商名称',minWidth:'150', sort: false, align: 'center', exportable:true}
                , {field: 'distributorMobile', title: '代理商电话',minWidth:'100', sort: false, align: 'center', exportable:true}
                </c:if>
                , {field: 'remarks', title: '备注', minWidth: 130, sort: false, align: 'center', exportable: true}
                , {field: 'tenant_name', title: '业主姓名', minWidth: '150', sort: false, align: 'center', exportable: true}
                , {field: 'mobile', title: '联系电话', minWidth: '100', sort: false, align: 'center', exportable: true}
                , {field: 'address', title: '安装地址', minWidth: '100', sort: false, align: 'center', exportable: true}
                , {field: 'roof_type', title: '屋顶类型', minWidth: '100', sort: false, align: 'center', exportable: true}
                , {field: 'angle', title: '朝向角度(度)', minWidth: '100', sort: false, align: 'center', exportable: true}

                , {
                    field: 'product_line_name',
                    title: '产品线',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {
                    field: 'product_line',
                    title: '业务属性',
                    minWidth: '100',
                    sort: false,
                    align: 'center',
                    exportable: true,
                    templet: function (d) {
                        return transAttribute(d.product_line);
                    },
                    expFormat: function (d) {
                        return transAttribute(d.product_line);
                    }
                }
                , {
                    field: 'project_company_name',
                    title: '所属项目公司',
                    minWidth: '150',
                    sort: false,
                    align: 'center',
                    exportable: true
                }
                , {field: 'remarks', title: '备注',minWidth:'150', sort: false, align: 'center',exportable:true}
                , {field: 'create_time', title: '登记时间',minWidth:'180', sort: false, align: 'center',exportable:true}
                , {field: 'examine_name', title: '审核人',minWidth:'100', sort: false, align: 'center',exportable:true}
                , {field: 'examine_remarks', title: '审核备注',minWidth:'150', sort: false, align: 'center',exportable:true}
                , {field: 'examine_time', title: '审核时间',minWidth:'180', sort: false, align: 'center',exportable:true}

            ]] ,done:function(res,cuss,count){
                $('span[data-pass="passed"]').parent().parent().parent().css('background-color','#ffeaf2');
                $('.layui-table-header .laytable-cell-checkbox input').attr('disabled','disabled');
            }
            ,exportOpt:{                           //导出选项配置
                ele:'#exportBtn',                   //导出的Dom元素
                headerTitle: '待审核管理',             //excel表格的标题
                pageData:false,                     //true:导出的数据为页面数据，false:最大导出maxAmount条数据
                maxAmount: 5000,                    //当pageData为false生效
                fileName: '待审核管理',
                where: function (){                 //当pageData为false时生效，过滤的条件
                    return _serializeJson($("#searchForm"));
                }
            }
        });

        function transAttribute(productLineAttribute) {
            switch (productLineAttribute) {
                case '1':
                    return '纯租25年业务';
                case '2':
                    return '经营性租赁';
                case '3':
                    return '融资租赁';
                case '4':
                    return '光伏贷';
                case '5':
                    return '全款';
                case '6':
                    return '其他';
                default:
                    return '';
            }
        }

        //监听搜索
        form.on('submit(LAY-user-back-search)', function(data){
            var field = data.field;
            //执行重载
            tableExt.reload('test', {
                where: field,
                page:{
                    curr:1
                }
            });
        });

        $('input').on('keydown', function(event){
            if(event.keyCode == 13){
                //执行相关操作
                $("#searchBtn").click();
            }
        });
    })


    function searchOrder() {
        //执行重载
        var wherobj =_serializeJson($("#searchForm"));
        tableExt.reload('test', {
            where: wherobj
        });
    }

    //查看详情
    function psDetail(id){
        layer.open({
            type: 2
            , title: '电站详情'
            , content: '${ctx}/customerEntry/entryDetail?entryId=' + id
            , area: ['100%', '100%']
            , yes: function(index, layero){

            }
        });
    }

    function customerEntryFlag(id){
        layer.open({
            type: 2,
            content: "${ctx}/customerEntry/getFlagcustomerEntry?customerEntryId="+id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
            ,title: "标记项目"
            ,area:["300px","260px"]
            ,closeBtn: 0
            ,shadeClose:true

        });
    }

    function editCustomerEntryFa(id){
        layer.open({
            type: 2,
            content: "${ctx}/customerEntry/getDqrCustomerEntryForm?entryId="+id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
            ,area: ['83%','96%']
            ,title: false //不显示标题栏
            ,closeBtn: 0
            ,shadeClose:true
            /*,shade: 0.8*/
            /*  ,btn: ['确认生成', '取消']*/
            /*,btnAlign: 'c'*/
            /*,scrollbar:false*/
            ,cancel: function(){
                searchOrder();
            }
        });
    }

    function editCustomerEntry(id){
            layer.open({
                type: 2,
                content: "${ctx}/customerEntry/getUpdateCustomerEntryForm?entryId="+id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
                ,area: ['83%','96%']
                ,title: false //不显示标题栏
                ,shade: 0.8
                /*  ,btn: ['确认生成', '取消']*/
                ,btnAlign: 'c'
                ,scrollbar:false
                ,cancel: function(){
                    searchOrder();
                }
            });
    }

    function findResult(id){
        layer.open({
            type: 2,
            title: '征信查询',
            content: '${ctx}/customerEntryExtra/findResult?id='+id,
            area : [ '650px', '316px' ],
            cancel:function(){
                table.reload('test'); //数据刷新
            }
        });
    }

    function askToContract(id){
        layer.confirm('确认邀请农户签约？', {
            icon:3,
            btn:['确定','取消'] //按钮
        }, function(){
            $.ajax({
                type: 'GET',
                url: '${ctx}/customerEntry/inviteSignQr',
                contentType: 'application/json',
                data: {id:id},
                success: function(data){
                    if (data.code === '200') {
                        layer.msg('操作成功', {time: 2000});
                        searchOrder();
                    }else {
                        layer.msg(data.errMsg, {time: 2500});
                    }
                }
            })
        });
    }

    function preInputEntry(id){
        layer.open({
            type: 2,
            title: '进件申请',
            content: '${ctx}/customerEntryExtra/preInputEntry?id='+id,
            area: ['63%','85%']
        });
    }

    function lookInputEntryStatus(id,type){
        layer.open({
            type: 2,
            title: '查看进件状态',
            content: '${ctx}/customerEntryExtra/lookInputEntryStatus?id='+id+'&type='+type,
            area : [ '650px', '450px' ],
            cancel:function(){
                table.reload('test'); //数据刷新
            }
        });
    }

    function deleteWarranty(id){
        var indexla = layer.confirm('您确定要删除项目信息吗？', {
            icon: 3,
            btn: ['确定', '取消'] //按钮
        }, function () {
            $.ajax({
                type: "POST",
                url: "${ctx}/customerEntry/deleteCustomerEntry",
                data: {
                    cusId: id
                },
                success: function (result) {
                    if(result.code=='200'){
                        layer.msg('删除成功！', {icon: 1, time: 1000}, function () {
                            searchOrder();
                        });
                    }else {
                        console.log(result)
                        layer.msg('删除失败!', {icon: 2});
                    }
                },
                error:{
                }
            })
        }, function () {
            layer.close(indexla);
        });
    }

    function  admittance(id) {
        $.ajax({
            type: "POST",
            url: "${ctx}/customerEntry/shoudongCustomerEntry",
            data: {
                id: id
            },
            success: function (result) {
                if(result.code=='200'){
                    layer.msg('准入成功！', {icon: 1, time: 1000}, function () {
                        searchOrder();
                    });
                }else {
                    console.log(result)
                    layer.msg('准入失败!', {icon: 2});
                }
            },
            error:{
            }
        })
    }

    function Prohibit(id){
        layer.open({
            type: 2,
            content: "${ctx}/customerEntry/toExamineForm?entryId="+id //这里content是一个DOM，注意：最好该元素要存放在body最外层，否则可能被其它的相对元素所影响
            ,area: ['80%', '88%']
            ,title: '审核信息' //不显示标题栏

        });
    }

    function examineInputEntry(id){
        layer.open({
            type: 2,
            title: '进件申请',
            content: '${ctx}/customerEntryExtra/examineInputEntryPage?id='+id,
            area: ['63%','85%']
        });
    }

    function planDetail(entryId){
        layer.open({
            type: 2,
            title: '查看',
            content: '${ctx}/planManage/viewMatchedPlan?entryId=' + entryId,
            area: ['80%','80%']
        });
    }

    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function reset(){
        layui.form.render();
        $("#searchForm").find("select").val("");
        $("#searchForm").find("input").val("");
    }
</script>
</body>
</html>

